import Navbar from "../components/Navbar";
import { NextSeo } from "next-seo";

const Main = (props) => (
  <div className="min-h-screen bg-zinc-900">
    <NextSeo
      title={props.title}
      description={props.description}
      canonical={props.canonical}
      openGraph={{
        title: "Turn your digital assets into premium products | Tangible",
        description: "Tangible allows you to turn your favorite digital assets into high quality physical products.",
        site_name: "Tangible",
      }}
    />
    {props.meta}
    <Navbar />
    <div className="flex flex-col items-center justify-start bg-gradient-to-b from-zinc-900 to-zinc-900">
      {props.children}
    </div>
  </div>
);

export default Main;
